Chapters:
1: Introduction
2: Simple example
3: Invocation
4: Finer Control
5: X-Y Plots
6: Contour Plots
7: Image Plots
8: Examples
9: Gri Commands
10: Programming
11: Environment
12: Emacs Mode
13: History
14: Installation
15: Gri Bugs
16: Test Suite
17: Gri in Press
18: Acknowledgments
19: License
Indices:
Concepts
Commands
Variables

### 9.3.20: ``insert`'

    `insert \filename'

Perform the commands in the indicated file.

If the file name is absolute (i.e. starts with ``.`', or with ``/`' or with ``~`') then an error results if the file is not present (or cannot be read by this user).

However, if the file name starts with a normal letter, Gri will try harder to locate the file. If it is not in the local directory, and if a ``set path to "PATH" for commands`' has been done, then Gri will search the colon-separated directories for the file (see Set Path To).

If you don't want path-searching done, use the ``source`' command instead (see Source).